%define fw_version 5.24

Summary:	KDE Frameworks 5 embedded JS module
Name:		kjsembed
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	kdoctools-devel >= %{version}
BuildRequires:	ki18n-devel >= %{version}
BuildRequires:	kjs-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5UiTools)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)

%description
KDE Frameworks 5 embedded JS module.

KSJEmbed provides a method of binding JavaScript objects to QObjects,
so you can script your applications.

%files
%{_kde5_bindir}/kjscmd5
%{_kde5_bindir}/kjsconsole
%{_kde5_mandir}/man1/kjscmd5.1*

#----------------------------------------------------------------------------

%package i18n
Summary:	KJsEmbed translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KJsEmbed translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5jsembed_major 5
%define libkf5jsembed %mklibname kf5jsembed %{kf5jsembed_major}

%package -n %{libkf5jsembed}
Summary:	KDE Frameworks 5 embedded JS shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5jsembed}
KDE Frameworks 5 embedded JS shared library.

%files -n %{libkf5jsembed}
%{_kde5_libdir}/libKF5JsEmbed.so.%{kf5jsembed_major}*

#----------------------------------------------------------------------------

%define devkf5jsembed %mklibname kf5jsembed -d

%package -n %{devkf5jsembed}
Summary:	Development files for KDE Frameworks 5 embedded JS module
Group:		Development/KDE and Qt
Requires:	%{libkf5jsembed} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5jsembed-devel = %{version}

%description -n %{devkf5jsembed}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5jsembed}
%{_kde5_includedir}/KF5/KJsEmbed
%{_kde5_libdir}/cmake/KF5JsEmbed
%{_kde5_libdir}/libKF5JsEmbed.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt --with-man

%changelog

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (503ad8f) New version 5.24.0


